<?php
 
/* ## ======================================== ## */  
  $commonpath = "./common";
  
  //Station general details
  $station  = "Rockin Doc Radio";
  $email    = "rockindoc@rockindocradio.net";
  $logo     = "djbanners/AutoDocBan.gif";
  $tzoffset = "1";
  $hoursDiff = $tzoffset;
  $stationid   = 0;           //The ID of your registered station on AudioRealm.com
  $sam["host"] = "66.110.252.12"; //The IP address of the machine SAM is running on (DO NOT use a local IP address like 127.0.0.1 or 192.x.x.x)
  $sam["port"] = "1222";      //The port SAM handles HTTP requests on. Usually 1221.
  $sam["dbipport"]	=	'66.110.252.12:3307';
  
  //General options
  $privaterequests = true;  //If False, AudioRealm.com will handle the requests
  $showtoprequests = true;  //Must we show the top 10 requests on the now playing page?
  $requestdays     = 30;    //Show the top10 requests for the last xx days

  $showpic     = false; //Must we show pictures in now playing section?   
  $picture_dir = "albumcovers/autoplay/"; //Directory where all your album pictures are stored
  $picture_na  = "albumcovers/autoplay/na.gif"; //Use this picture if the song has no picture
  
  //Row colors used
  $darkrow  = "#000000";
  $lightrow = "#666666";  
 
/* ## ======================================== ## */
  
 $metabasepath = "$commonpath/metabase";
 require("$metabasepath/metabase_interface.php");
 require("$metabasepath/metabase_database.php");

 require_once("common/form.php");
 require_once("common/db.php");
 require_once("common/functions.php");
 
 // Load EGPCS vars into globals (emulates register_globals = On in php.ini)
if (!empty($HTTP_ENV_VARS)) while(list($name, $value) = each($HTTP_ENV_VARS)) $$name = $value;
if (!empty($HTTP_GET_VARS)) while(list($name, $value) = each($HTTP_GET_VARS)) $$name = $value;
if (!empty($HTTP_POST_VARS)) while(list($name, $value) = each($HTTP_POST_VARS)) $$name = $value;
if (!empty($HTTP_COOKIE_VARS)) while(list($name, $value) = each($HTTP_COOKIE_VARS)) $$name = $value;
if (!empty($HTTP_SERVER_VARS)) while(list($name, $value) = each($HTTP_SERVER_VARS)) $$name = $value;
   

 $db = new DBTable();
 
 //Your REMOTE MySQL database login details
 //IMPORTANT: This is the database login details for the database located on the WEBSERVER.
 $db->ReadXMLConfig("dbconfig.xml.php");
 
 //Your LOCAL MySQL database login details
 //This is the login details the webserver will use to contact the local database on the SAM Broadcaster server.
 //This is only used for making dedications from the request window.
 //$db->ReadXMLConfig("samdb.xml.php");
 $samlogin = $db->login; //In most cases the remote database will be the same as the local database.
  
 //Finally connect to the database
 $db->connect();
?>